import reduceReducers from 'reduce-reducers';

import { reducer as checkboxChange } from './components/checkbox/redux-actions/checkboxChange';

import { reducer as dropdownChange } from './components/dropdown/redux-actions/dropdownChange';
import { reducer as dropdownCollapse } from './components/dropdown/redux-actions/dropdownCollapse';
import { reducer as dropdownExpand } from './components/dropdown/redux-actions/dropdownExpand';
import { reducer as dropdownHighlightedIndexChange } from './components/dropdown/redux-actions/dropdownHighlightedIndexChange';

import { reducer as textboxChange } from './components/textbox/redux-actions/textboxChange';


export default reduceReducers(
    checkboxChange,

    dropdownChange,
    dropdownCollapse,
    dropdownExpand,
    dropdownHighlightedIndexChange,

    textboxChange
);
